#!/bin/sh
if [ "${UID}" != "0" ]; then
  case "${LANG}" in
    ko*) echo "$0 :     ϴ." ;;
    *) echo "$0 : U don't have permission that excute this file"
  esac
  exit 1
fi

clear
echo "SSLWRAP CERT FILE MAKER v0.1"
echo "JoungKyun Kim <http://www.oops.org>"
echo
echo "STEP 1 : Check openssl binary path"

OPENSSL="/usr/bin/openssl"

while [ true ]; do
  if [ ! -f "${OPENSSL}" ]; then
    case "${LANG}" in
      ko*) echo -n "openssl  δ? (ġ  ctrl+c) : " ;;
      *) echo -n "Specify openssl binary path (If you don't, press ctrl+c) : "
    esac

    read op

    if [ -f "${op}" ]; then
      OPENSSL=${op}
      break
    fi
  else
    break
  fi
done

echo "STEP 2 : Create SSLWRAP Cert file in /usr/include/sslwrap/sslwrap.pem"
echo

${OPENSSL} req -new -x509 -nodes -out /usr/include/sslwrap/sslwrap.pem \
               -keyout /usr/include/sslwrap/sslwrap.pem -days 365

exit 0
