Summary: TCP service that encrypts data on the connection using TLS/SSL
Summary(ko): ڷ TLS/SSL ̿Ͽ ȣȭ ϴ TCP 
Name: sslwrap
Version: 2.06
Release: 2kr
Copyright: distributable
Group: System Environment/Daemons
Source0: http://www.rickk.com/sslwrap/sslwrap206.tar.gz
Source1: make_cert.sh
Patch0: sslwrap-path.patch
Requires: openssl >= 0.9.6
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
sslwrap is a simple Unix service that sits over any simple TCP
service such as POP3, IMAP, SMTP, and encrypts all of the data
on the connection using TLS/SSL. It uses ssleay to support SSL
version 2 and 3. It can run out of inetd. It can also encrypt
data for services located on another computer.

%description -l ko
sslwrap POP3 IMAP, SMTP  TCP  ϸ,
 ڷ TLS/SSL ̿Ͽ ȣȭ ϴ н  
. sslwrap SSL 2 3 ϱ Ͽ ssleay 
.  Inetdܺο  ϰ ٸ ִ ǻ
ڷᵵ ȣȭ ϴ. sslwrap   ƹ 
    ִ.


%prep
%setup -q -n %{name}206
%patch0 -p1 -b .path

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/include/sslwrap
mkdir -p $RPM_BUILD_ROOT/usr/doc/sslwrap-%{version}

# strip binary
strip sslwrap

# installation sslwrap file
install -m755 sslwrap $RPM_BUILD_ROOT/usr/sbin/
install -m755 %{SOURCE1} $RPM_BUILD_DIR/sslwrap206/

%clean
rm -rf $RPM_BUILD_ROOT

%post
case "$LANG" in
  *ko*)
    echo "ġ http://www.oops.org/?t=lecture&s=sslwrap   Ͻʽÿ"
    echo
    ;;
  *)
    echo "See Also http://www.oops.org/?t=lecture&s=sslwrap"
esac

%files
%defattr(-,root,root)
/usr/sbin/sslwrap
%dir /usr/include/sslwrap
#/usr/doc/sslwrap-%{version}/make_cert.sh
%doc README docs.html make_cert.sh

%changelog
* Mon May 14 2001 JoungKyun Kim <admin@oops.org>
- modified openssl path
- modified OPT FLAGS

* Thu May  3 2001 JoungKyun Kim <admin@oops.org>
- first packaging
- added cert maker
